package cn.com.ctop.kuaishou.modules.batch.controller;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 快分销-招商商品列表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2023-01-10
 */
@Data
@TableName("kuaishou_activity_item_list")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_activity_item_list对象", description = "快分销-招商商品列表")
public class KuaiShouActivityItemList {

    /**
     * itemId
     */
    @Excel(name = "itemId", width = 15)
    @ApiModelProperty(value = "itemId")
    private Long itemId;
    /**
     * 商品标题
     */
    @Excel(name = "商品标题", width = 15)
    @ApiModelProperty(value = "商品标题")
    private String itemTitle;
    /**
     * 商品图片
     */
    @Excel(name = "商品图片", width = 15)
    @ApiModelProperty(value = "商品图片")
    private String itemImgUrl;
    /**
     * 商品链接
     */
    @Excel(name = "商品链接", width = 15)
    @ApiModelProperty(value = "商品链接")
    private String itemLinkUrl;
    /**
     * 库存
     */
    @Excel(name = "库存", width = 15)
    @ApiModelProperty(value = "库存")
    private Long itemStock;
    /**
     * 销量
     */
    @Excel(name = "销量", width = 15)
    @ApiModelProperty(value = "销量")
    private String itemVolume;
    /**
     * 商品价格
     */
    @Excel(name = "商品价格", width = 15)
    @ApiModelProperty(value = "商品价格")
    private Long itemPrice;
    /**
     * 商品类型
     */
    @Excel(name = "商品类型", width = 15)
    @ApiModelProperty(value = "商品类型")
    private String itemCategoryName;
    /**
     * itemLeafCategoryName
     */
    @Excel(name = "itemLeafCategoryName", width = 15)
    @ApiModelProperty(value = "itemLeafCategoryName")
    private String itemLeafCategoryName;
    /**
     * 佣金率
     */
    @Excel(name = "佣金率", width = 15)
    @ApiModelProperty(value = "佣金率")
    private Long itemCommissionRate;
    /**
     * 服务费率
     */
    @Excel(name = "服务费率", width = 15)
    @ApiModelProperty(value = "服务费率")
    private Long investmentPromotionRate;
    /**
     * 报名时间
     */
    @Excel(name = "报名时间", width = 15)
    @ApiModelProperty(value = "报名时间")
    private String itemApplyTime;
    /**
     * 报名状态 5失效
     */
    @Excel(name = "报名状态 5失效", width = 15)
    @ApiModelProperty(value = "报名状态 5失效")
    private Integer itemAuditStatus;
    /**
     * 用户昵称
     */
    @Excel(name = "用户昵称", width = 15)
    @ApiModelProperty(value = "用户昵称")
    private String sellerNickName;
    /**
     * reason
     */
    @Excel(name = "reason", width = 15)
    @ApiModelProperty(value = "reason")
    private String reason;
    /**
     * 账号
     */
    @Excel(name = "账号", width = 15)
    @ApiModelProperty(value = "账号")
    private Long sellerId;
    /**
     * 联系人ID
     */
    @Excel(name = "联系人ID", width = 15)
    @ApiModelProperty(value = "联系人ID")
    private Long contactId;
    /**
     * 联系人名称
     */
    @Excel(name = "联系人名称", width = 15)
    @ApiModelProperty(value = "联系人名称")
    private String contactName;
    /**
     * 联系人类型
     */
    @Excel(name = "联系人类型", width = 15)
    @ApiModelProperty(value = "联系人类型")
    private String contactType;
    /**
     * 联系人状态
     */
    @Excel(name = "联系人状态", width = 15)
    @ApiModelProperty(value = "联系人状态")
    private Integer contactStatus;
    /**
     * 联系人电话
     */
    @Excel(name = "联系人电话", width = 15)
    @ApiModelProperty(value = "联系人电话")
    private Long contactDetail;
    /**
     * 联系人创建时间
     */
    @Excel(name = "联系人创建时间", width = 15)
    @ApiModelProperty(value = "联系人创建时间")
    private String contactCreateTime;
    /**
     * 联系人修改时间
     */
    @Excel(name = "联系人修改时间", width = 15)
    @ApiModelProperty(value = "联系人修改时间")
    private String contactUpdateTime;
    /**
     * 商品状态 0下架
     */
    @Excel(name = "商品状态 0下架", width = 15)
    @ApiModelProperty(value = "商品状态 0下架")
    private Integer itemStatus;
    /**
     * 商品推广者信息展示
     */
    @Excel(name = "商品推广者信息展示", width = 15)
    @ApiModelProperty(value = "商品推广者信息展示")
    private String activityShowContactTypeList;
    /**
     * identity
     */
    @Excel(name = "identity", width = 15)
    @ApiModelProperty(value = "identity")
    private Integer identity;
    /**
     * 合作开始时间
     */
    @Excel(name = "合作开始时间", width = 15)
    @ApiModelProperty(value = "合作开始时间")
    private String cooperationBeginTime;
    /**
     * 合作结束时间
     */
    @Excel(name = "合作结束时间", width = 15)
    @ApiModelProperty(value = "合作结束时间")
    private String cooperationEndTime;
    /**
     * 链接
     */
    @Excel(name = "链接", width = 15)
    @ApiModelProperty(value = "链接")
    private String shareLink;
    /**
     * cooperationStatus
     */
    @Excel(name = "cooperationStatus", width = 15)
    @ApiModelProperty(value = "cooperationStatus")
    private Integer cooperationStatus;
    /**
     * 活动ID
     */
    @Excel(name = "活动ID", width = 15)
    @ApiModelProperty(value = "活动ID")
    private Long activityId;
    /**
     * preActivityId
     */
    @Excel(name = "preActivityId", width = 15)
    @ApiModelProperty(value = "preActivityId")
    private Long preActivityId;
    /**
     * investmentRemiseRate
     */
    @Excel(name = "investmentRemiseRate", width = 15)
    @ApiModelProperty(value = "investmentRemiseRate")
    private Long investmentRemiseRate;
    /**
     * applyAuthStatus
     */
    @Excel(name = "applyAuthStatus", width = 15)
    @ApiModelProperty(value = "applyAuthStatus")
    private Integer applyAuthStatus;
    /**
     * 活动类型
     */
    @Excel(name = "活动类型", width = 15)
    @ApiModelProperty(value = "活动类型")
    private Integer activityType;
    /**
     * sampleApplyType
     */
    @Excel(name = "sampleApplyType", width = 15)
    @ApiModelProperty(value = "sampleApplyType")
    private String sampleApplyType;
}
