package cn.com.ctop.kuaishou.modules.dimension.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 多维度测试变量配置
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-07-20
 */
@Data
@TableName("ctop_kuaishou_dimension_variable")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_dimension_variable对象", description = "多维度测试变量配置")
public class KuaiShouDimensionVariable {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 策略id
     */
    @Excel(name = "策略id", width = 15)
    @ApiModelProperty(value = "策略id")
    private Long strategyId;
    /**
     * 变量 地域
     */
    @Excel(name = "变量 地域", width = 15)
    @ApiModelProperty(value = "变量 地域")
    private String region;
    /**
     * 变量 年龄 【18：表示18-23岁】；【24：表示24-30岁】；【31：表示31-40岁】；【41：表示41-49岁】；【50：表示50-100岁】
     */
    @Excel(name = "变量 年龄 【18：表示18-23岁】；【24：表示24-30岁】；【31：表示31-40岁】；【41：表示41-49岁】；【50：表示50-100岁】", width = 15)
    @ApiModelProperty(value = "变量 年龄 【18：表示18-23岁】；【24：表示24-30岁】；【31：表示31-40岁】；【41：表示41-49岁】；【50：表示50-100岁】")
    private String agesRange;
    /**
     * 变量 性别 1：女性, 2：男性，0表示不限
     */
    @Excel(name = "变量 性别 1：女性, 2：男性，0表示不限", width = 15)
    @ApiModelProperty(value = "变量 性别 1：女性, 2：男性，0表示不限")
    private String gender;
    /**
     * 变量 行为意向-系统优选	 1：女性, 2：男性，0表示不限
     */
    @Excel(name = "变量 行为意向-系统优选	 1：女性, 2：男性，0表示不限", width = 15)
    @ApiModelProperty(value = "变量 行为意向-系统优选	 1：女性, 2：男性，0表示不限")
    private String intentionTarget;
    /**
     * 变量 APP行为-按APP名称
     */
    @Excel(name = "变量 APP行为-按APP名称", width = 15)
    @ApiModelProperty(value = "变量 APP行为-按APP名称")
    private String appIds;
    /**
     * 变量 0：关闭 1：开启 2：不可突破年龄 3：不可突破性别	 4：不可突破地域
     */
    @Excel(name = "变量 0：关闭 1：开启 2：不可突破年龄 3：不可突破性别	 4：不可突破地域", width = 15)
    @ApiModelProperty(value = "变量 0：关闭 1：开启 2：不可突破年龄 3：不可突破性别	 4：不可突破地域")
    private String intelliExtend;
    /**
     * 变量 投放时段
     */
    @Excel(name = "变量 投放时段", width = 15)
    @ApiModelProperty(value = "变量 投放时段")
    private String scheduleTime;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
